apps/crudMascotas/urls.py
from django.conf.urls import url
from apps.crudMascotas.views import MascotaCreate, MascotaList, MascotaDelete, MascotaUpdate, MascotaShow, search

app_name="crudMascotas"

urlpatterns = [
    url(r'^nuevo/', MascotaCreate.as_view(), name='mascota_crear'),
    url(r'^listar', MascotaList.as_view(), name='mascota_listar'),
    url(r'^eliminar/(?P<pk>\d+)/$', MascotaDelete.as_view(), name='mascota_eliminar'),
    url(r'^editar/(?P<pk>\d+)/$', MascotaUpdate.as_view(), name='mascota_editar'),
    url(r'^mostrar/(?P<pk>\d+)/$', MascotaShow.as_view(), name='mascota_mostrar'),
    url(r'^buscar/$', search, name='mascota_buscar'),
]

apps/inicio/urls.py
from django.urls import path
from django.conf.urls import url
from . import views

app_name="inicio"

urlpatterns = [
    #path('iniciio/$', views.home, name = "home"),
    url(r'^$', views.home, name="home"),
    url(r'^formulario/$', views.formulario, name="form"),
]

apps/usuario/urls.py
from django.conf.urls import url
from apps.usuario.views import RegistroUsuario

app_name="usuario"

urlpatterns = [
    url(r'^registrar', RegistroUsuario.as_view(), name="registrar")
]

misPerris/urls.py
from django.conf.urls import url, include
from django.urls import path
from django.contrib import admin
from django.contrib.auth.views import LoginView, logout_then_login, PasswordResetDoneView, PasswordResetConfirmView, PasswordResetCompleteView, PasswordResetView  
from django.contrib.auth import views as auth_views
from django.contrib.staticfiles.urls import static
from .import settings

app_name="misPerris"

urlpatterns = [
    url(r'^panel/', include('apps.crudMascotas.urls', namespace='mascotas')),
    url(r'^usuario/', include('apps.usuario.urls', namespace='usuario')),
    url(r'^login', auth_views.LoginView.as_view(template_name = 'index.html'), name="login"),
    url(r'^logout/', logout_then_login, name='logout'),
    url(r'^accounts/login/', auth_views.LoginView.as_view(template_name = 'index.html'), name="login"),
    path('admin/', admin.site.urls),
    #path('inicio', include('apps.inicio.urls')),
    url(r'^', include('apps.inicio.urls', namespace='index')),
    url(r'^reset/password_reset/$', PasswordResetView.as_view(), {'template_name':'registration/password_reset_form.html',
        'email_template_name':'registration/password_reset_email.html'}, 
        name='password_reset'),
    url(r'^reset/password_reset_done/$', PasswordResetDoneView.as_view(template_name='registration/password_reset_done.html'),
        name='password_reset_done'),
    url(r'^reset/(?P<uidb64>[0-9A-Za-z_\-]+)/(?P<token>.+)/$', PasswordResetConfirmView.as_view(), {'template_name': 'registration/password_reset_confirm.html'},
        name='password_reset_confirm'),
    url(r'^reset/done', PasswordResetCompleteView.as_view(), {'template_name': 'registration/password_reset_complete'},
        name='password_reset_complete'),    

    
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

apps/crudMascotas/models.py
from django.db import models

# Create your models here.
class Estado(models.Model):
	id = models.IntegerField(primary_key=True)
	nombre = models.CharField(max_length=40)

	def __str__(self):
		return '{}'.format(self.nombre)

class Mascota(models.Model):
	id = models.IntegerField(primary_key=True)
	nombre = models.CharField(max_length=50)
	razaPredominante = models.CharField(max_length=50)
	descripcion = models.CharField(max_length=50)
	estado = models.ForeignKey(Estado, null=True, blank=True, on_delete=models.CASCADE)
	foto = models.ImageField(blank=True, null=True, upload_to='img_perritos/', default = 'img_perritos/None/No_Image_Available.jpg') #agregar default

	def __str__(self):
		return '{}'.format(self.nombre)

apps/inicio/models.py
from django.db import models


class Contacto(models.Model):
    rut = models.CharField(max_length=50, unique = True)
    nombre = models.CharField(max_length=50)
    fecha = models.DateField()
    telefono = models.IntegerField()
    correo = models.CharField(max_length=54)
    region = models.CharField(max_length=50)
    comuna = models.CharField(max_length=50)
    tipoHogar = models.CharField(max_length=50)

    def __str__(self):
        return self.rut


    class Meta:
        verbose_name = "Contacto"
        verbose_name_plural = "Contactos"

apps/usuario/models.py
from django.db import models

# Create your models here.

apps/crudMascotas/forms.py
from django import forms
from apps.crudMascotas.models import Mascota, Estado

class MascotaForm(forms.ModelForm):
	class Meta:
		model = Mascota
		fields = [
			'id',
			'nombre',
			'razaPredominante',
			'descripcion',
			'estado',
			'foto',
		]

		labels = {
			'id': "Identificacion",
			'nombre': "Nombre Mascota",
			'razaPredominante': "Raza Predominante",
			'descripcion': "Descripcion",
			'estado': "Estado",
			'foto': "Foto"
		}

		widgets = {
			'id': forms.TextInput(attrs={'class':'form-control'}),
			'nombre': forms.TextInput(attrs={'class':'form-control'}),
			'razaPredominante': forms.TextInput(attrs={'class':'form-control'}),
            'descripcion': forms.TextInput(attrs={'class':'form-control'}),
			'estado': forms.Select(attrs={'class':'form-control', 'required': 'true'}),
		}

apps/inicio/forms.py
from django import forms
from .models import Contacto

class registro(forms.ModelForm):
    class Meta:
        model = Contacto
        fields = ('rut', 'nombre', 'fecha', 'telefono', 'correo', 'region', 'comuna', 'tipoHogar')

apps/usuario/forms.py
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm

class RegistroForm(UserCreationForm):

    class Meta:
        model = User
        fields = [
                'username',
                'first_name',
                'last_name',
                'email',
            ]
        labels = {
                'username': 'Nombre de usuario',
                'first_name': 'Nombre',
                'last_name': 'Apellidos',
                'email': 'Correo',
        }

apps/crudMascotas/views.py
from django.shortcuts import render
from django.views.generic import CreateView, ListView, DeleteView, UpdateView, DetailView
from django.urls import reverse_lazy
from django.contrib.auth.decorators import login_required
from django.contrib.auth.mixins import LoginRequiredMixin

from apps.crudMascotas.models import Mascota, Estado
from apps.crudMascotas.forms import MascotaForm
from apps.crudMascotas.filters import MascotaFilter

# Create your views here.


class MascotaCreate(LoginRequiredMixin, CreateView):
	model = Mascota
	form_class = MascotaForm
	template_name = 'crudMascotas/mascota_form.html'
	success_url = reverse_lazy('mascotas:mascota_listar')


class MascotaList(LoginRequiredMixin, ListView):
	queryset = Mascota.objects.order_by('id')
	template_name = 'crudMascotas/mascota_list.html'
	paginate_by = 5

class MascotaUpdate(LoginRequiredMixin, UpdateView):
	model = Mascota
	form_class = MascotaForm
	template_name = 'crudMascotas/mascota_form.html'
	success_url = reverse_lazy('mascotas:mascota_listar')

class MascotaDelete(LoginRequiredMixin, DeleteView):
	model = Mascota
	template_name = 'crudMascotas/mascota_delete.html'
	success_url = reverse_lazy('mascotas:mascota_listar')

class MascotaShow(LoginRequiredMixin, DetailView):
	model = Mascota
	template_name = 'crudMascotas/mascota_show.html'

def search(request):
	mascota_list = Mascota.objects.all()
	mascota_filter = MascotaFilter(request.GET, queryset=mascota_list)
	return render(request, 'crudMascotas/mascota_list2.html', {'filter': mascota_filter})
	

apps/inicio/views.py
from django.shortcuts import redirect, render, HttpResponseRedirect
from .models import Contacto
from apps.inicio.forms import registro


def home(request):
    return render(request, 'inicio/index.html')

def formulario(request):
    if request.method == 'POST':
        form = registro(request.POST)

        if form.is_valid():
            form.save()
        else:
            print(form.errors)
        return render(request, 'inicio/contacto.html', {})
    else:
        form = registro() 
        return render(request, 'inicio/contacto.html', {'form':form})  

apps/usuario/views.py
from django.shortcuts import render
from django.views.generic import CreateView, ListView, DeleteView, UpdateView, DetailView
from django.urls import reverse_lazy
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm
from django.template import RequestContext
from apps.usuario.forms import RegistroForm
from django.http import HttpResponseRedirect
from django.shortcuts import render_to_response

class RegistroUsuario(CreateView):
    model = User
    template_name = "usuario/registrar.html"
    form_class = RegistroForm
    success_url = reverse_lazy('login')

templates/base/base.html
{% load staticfiles %}
<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="UTF-8">

	{% block extrastatic %}
	{% endblock %}

	<link rel="stylesheet" href="{% static 'crudMascotas/css/bootstrap.min.css' %}">
	<title>{% block title %}Inicio{% endblock %}</title>
</head>
<body>
<div class="container">

	{% block navbar %}
		<div class="bs-docs-section clearfix">
		    <div class="row">
		        <div class="col-lg-12">
		            <div class="bs-component">
		            	<nav class="navbar navbar-default">
		                	<div class="container-fluid">
		                  		<div class="navbar-header">
									<a class="navbar-brand" href="{% url 'mascotas:mascota_listar' %}"><img class="img-logo" src="{% static 'inicio/img/logo.png'%}" alt="logo_mis_perris" width="180" height="30"></a>
								  </div>
		                  	<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
		                    	<ul class="nav navbar-nav">
		                      		<li class="dropdown">
		                        		<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">Mascotas <span class="caret"></span></a>
				                        <ul class="dropdown-menu" role="menu">
												{% if request.user.is_staff %}
				                        	<li><a href="{% url 'mascotas:mascota_crear' %}">Registrar</a></li>
				                        	<li><a href="{% url 'mascotas:mascota_listar' %}">Listar</a></li>
											<li><a href="{% url 'mascotas:mascota_buscar' %}">Buscar/Filtrar</a></li>
												{% else %}
											<li><a href="{% url 'mascotas:mascota_listar' %}">Listar</a></li>
											<li><a href="{% url 'mascotas:mascota_buscar' %}">Buscar/Filtrar</a></li>
												{% endif %}	
				                        </ul>
		                      		</li>
		                    	</ul>
		                    	<ul class="nav navbar-nav navbar-right">
										<div class="navbar-header">
												{% if user.is_authenticated %}
												{% if request.user.is_staff %}
												<h4><font color="white" size="6">Mantenedor {{ user.username }}</font></h4>
												{% else %}
												<h4><font color="white" size="6">Adoptante {{ user.username }}</font></h4>
												{% endif %}
												{% endif %}
											</div>
		                        	<li class="dropdown">
		                        		<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">Opciones<span class="caret"></span></a>
		                        		<ul class="dropdown-menu" role="menu">
		                          			<li><a href="{% url 'logout' %}">Salir</a></li>
		                        		</ul>
		                      		</li>
		                    	</ul>
		                    </div>
		                </div>
		            </nav>
		        </div>
           	</div>
        </div>
    </div>    

	{% endblock %}


	{% block content %}
	<h4>	Bloque de contenido		</h4>
	{% endblock %}


	{% block footer %}
	{% endblock%}
</div>
	<script src="https://code.jquery.com/jquery-1.10.2.min.js"></script>
	<script src="{% static 'crudMascotas/js/bootstrap.min.js' %}"></script>

	{% block extrajs %}
	{% endblock %}


</body>
</html>

templates/crudMascotas/mascota_delete.html
{% extends 'base/base.html' %}

{% block content %}
<form method="post">
	{% csrf_token %}
	<h3>¿Desea eliminar el registro de {{ object.nombre }}?</h3>	
	<button class="btn btn-danger" type="submit">Sí, eliminar</button>
	<a class= "btn btn-default" href="{% url 'mascotas:mascota_listar' %}">Cancelar</a>
</form>
{% endblock %}

templates/crudMascotas/mascota_form.html
{% extends 'base/base.html' %}

{% block content %}
<form method="post" enctype="multipart/form-data">
	{% csrf_token %}
	{{ form.as_p }}
	<button class="btn btn-success" type="submit">Guardar</button>
	<a class= "btn btn-primary" href="{% url 'mascotas:mascota_listar' %}">Cancelar</a>
</form>
{% endblock %}

templates/crudMascotas/mascota_list.html
{% extends 'base/base.html' %}

{% block content %}

<table class="table table-bordered">
	<thead>
		<tr>
			{% if request.user.is_staff %}
			<td>Id</td>
			<td>Nombre</td>
			<td>Raza predominante</td>
			<td>Descripcion</td>
			<td>Estado</td>
			<td>Acciones</td>
			{% else %}
			<td>Id</td>
			<td>Estado</td>
			<td>Nombre</td>
			<td>Foto</td>
			<td>Raza predominante</td>
			<td>Descripcion</td>
			{% endif %}
		</tr>
		
	</thead>
	<tbody>
		{% if object_list %}
		{% for mascota in object_list %}
		<tr>
			{% if request.user.is_staff %}
			<td>{{ mascota.id }}</td>
			<td>{{ mascota.nombre }}</td>
			<td>{{ mascota.razaPredominante }}</td>
			<td>{{ mascota.descripcion }}</td>
			<td>{{ mascota.estado}}</td>
			{% else %}
			<td>{{ mascota.id }}</td>
			<td>{{ mascota.estado }}</td>
			<td>{{ mascota.nombre }}</td>
			<td><img src="{{ mascota.foto.url }}" height="168px" width="299px" alt=""></td>
			<td>{{ mascota.razaPredominante }}</td>
			<td>{{ mascota.descripcion }}</td>
			{% endif %}
			<td>
				{% if request.user.is_staff %}
				<a class="btn btn-primary" href="{% url 'mascotas:mascota_mostrar' mascota.id %}">Ver</a>
				<a class="btn btn-primary" href="{% url 'mascotas:mascota_editar' mascota.id %}">Editar</a>
				<a class="btn btn-danger" href="{% url 'mascotas:mascota_eliminar' mascota.id %}">Eliminar</a>
				{% endif %}
			</td>
		</tr>
		{% endfor %}
		
		{% else %}
		<h1>No hay registros de Mascotas</h1>
		{% endif %}
	</tbody>
</table>
<ul class="pager">
	<li>
		{% if page_obj.has_previous %}
       	 <a href="?page={{ page_obj.previous_page_number }}">Previous</a>
		{% endif %}
        </li>
	<li>
		{% if page_obj.has_next %}
     	 <a href="?page={{ page_obj.next_page_number }}">Next</a> 
    	{% endif %}
    </li>
</ul> 
{% endblock%}

templates/crudMascotas/mascota_list2.html
{% extends 'base/base.html' %}

{% block content %}
	<h4>Filtrar por:</h4>
	<form method="get">
	<p>
	Nombre: &nbsp{{ filter.form.nombre }} &nbsp
	Raza: &nbsp {{ filter.form.razaPredominante }} &nbsp
	Estado: &nbsp{{ filter.form.estado }} &nbsp;&nbsp;
	<button class="btn btn-success" type="submit">Filtrar</button>
	</p>
	</form>
	<table class="table table-bordered">
	<thead>
		<tr>
			<td>id</td>
			<td>Nombre</td>
			<td>Raza predominante</td>
			<td>Descripcion</td>
			<td>Estado</td>
			<td>Acciones</td>
		</tr>
		
	</thead>
	<tbody>
		{% if filter.qs %}
		{% for mascota in filter.qs %}
		<tr>
			<td>{{ mascota.id }}</td>
			<td>{{ mascota.nombre }}</td>
			<td>{{ mascota.razaPredominante }}</td>
			<td>{{ mascota.descripcion }}</td>
			<td>{{ mascota.estado }}</td>
			<td>
				<a class="btn btn-primary" href="{% url 'mascotas:mascota_mostrar' mascota.id %}">Ver</a>
				{% if request.user.is_staff %}
				<a class="btn btn-primary" href="{% url 'mascotas:mascota_editar' mascota.id %}">Editar</a>
				<a class="btn btn-danger" href="{% url 'mascotas:mascota_eliminar' mascota.id %}">Eliminar</a>
				{% endif %}>
			</td>
		</tr>
		{% endfor %}
		
		{% else %}
		<h1>No hay registros de Mascotas</h1>
		{% endif %}
	</tbody>
</table>
<ul class="pager">
	<li>
		{% if page_obj.has_previous %}
       	 <a href="?page={{ page_obj.previous_page_number }}">Previous</a>
		{% endif %}
        </li>
	<li>
		{% if page_obj.has_next %}
     	 <a href="?page={{ page_obj.next_page_number }}">Next</a> 
    	{% endif %}
    </li>
</ul> 
	
{% endblock %}

templates/crudMascotas/mascota_show.html
{% extends 'base/base.html' %}
{% load staticfiles %}

{% block content %}

<p><strong>identificacion: </strong>{{ object.id }} </p>
<p><strong>Nombre: </strong>{{ object.nombre }} </p>
<p><strong>Raza predominante: </strong>{{ object.razaPredominante }} </p>
<p><strong>Descripcion: </strong>{{ object.descripcion }} </p>
<p><strong>Estado: </strong>{{ object.estado }} </p>
<p><strong>Foto: </strong>{{ object.foto }} </p>
<p><img src="{{ object.foto.url }}" alt=""></p>

{% if request.user.is_staff %}
<a class= "btn btn-success" href="{% url 'mascotas:mascota_listar' %}">Ok</a>
<a class= "btn btn-primary" href="{% url 'mascotas:mascota_editar' object.id%}">Editar</a>
<a class="btn btn-danger" href="{% url 'mascotas:mascota_eliminar' object.id %}">Eliminar</a>
{% else %}
<a class= "btn btn-success" href="{% url 'mascotas:mascota_listar' %}">Ok</a>
<a class="btn btn-primary" href="{% url 'mascotas:mascota_mostrar' mascota.id %}">Adoptar</a>
{% endif %}

{% endblock %}

templates/index.html
<!DOCTYPE html>
<html lang="en">
<head>
	<title>Login</title>
	<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    {% load static %}
<!--===============================================================================================-->	
	<link rel="icon" type="image/png" href="{% static 'login/images/icons/favicon.ico' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'login/vendor/bootstrap/css/bootstrap.min.css' %}">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'login/fonts/font-awesome-4.7.0/css/font-awesome.min.css' %}">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'login/vendor/animate/animate.css' %}">
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="{% static 'login/vendor/css-hamburgers/hamburgers.min.css' %}">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'login/vendor/select2/select2.min.css' %}">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'login/css/util.css' %}">
	<link rel="stylesheet" type="text/css" href="{% static 'login/css/main.css' %}">
<!--===============================================================================================-->
</head>
<body>
	{% if user.is_authenticated %}
	<META HTTP-EQUIV="REFRESH" CONTENT="0;URL={% url 'mascotas:mascota_listar' %}">
	{% endif %}
	<div class="limiter">
		<div class="container-login100">
			<div class="wrap-login100">
				<div class="login100-pic js-tilt" data-tilt>
					<a href="{% url 'index:home' %}">
					<img src="{% static 'login/images/logo1.png' %}"  alt="IMG">
					</a>
				</div>
				{% if form.errors %}
				<script type="text/javascript">
					alert("Username o contraseña incorrecta");
				  </script>
			    {% endif %}
				<form class="login100-form validate-form" method="POST">
                    {% csrf_token %}
					<span class="login100-form-title">
						Login
                    </span>

					<div class="wrap-input100 validate-input" data-validate = "Ingrese un nombre de usuario valido">
						<input class="input100" type="text" name="username" placeholder="Username">
						<span class="focus-input100"></span>
						<span class="symbol-input100">
						    <i class="fa fa-envelope" aria-hidden="true"></i>
						</span>
					</div>

					<div class="wrap-input100 validate-input" data-validate = "Password is required">
						<input class="input100" type="password" name="password" placeholder="Contraseña">
						<span class="focus-input100"></span>
						<span class="symbol-input100">
							<i class="fa fa-lock" aria-hidden="true"></i>
						</span>
					</div>
					
					<div class="container-login100-form-btn">
						<button class="login100-form-btn" type="submit">
							Ingresar
						</button>
					</div>

					<div class="text-center p-t-12">
						<span class="txt1">
							¿Olvidaste
						</span>
						<a class="txt2" href="{% url 'password_reset' %}">
							tu contraseña?
						</a>
					</div>

					<div class="text-center p-t-136">
						<a class="txt2" href="{% url 'usuario:registrar' %}">
							Crea tu cuenta
							<i class="fa fa-long-arrow-right m-l-5" aria-hidden="true"></i>
						</a>
					</div>
				</form>
			</div>
		</div>
	</div>
	
	

	
<!--===============================================================================================-->	
	<script src="{% static 'login/vendor/jquery/jquery-3.2.1.min.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'login/vendor/bootstrap/js/popper.js' %}"></script>
	<script src="{% static 'logi/nvendor/bootstrap/js/bootstrap.min.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'login/vendor/select2/select2.min.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'login/vendor/tilt/tilt.jquery.min.js' %}"></script>
	<script >
		$('.js-tilt').tilt({
			scale: 1.1
		})
	</script>
<!--===============================================================================================-->
	<script src="{% static 'login/js/main.js' %}"></script>

</body>
</html>

templates/inicio/contacto.html
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1, minimum-scale=1">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <!--**********  fontawesome  **********-->
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.2.0/css/all.css" integrity="sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ"
            crossorigin="anonymous">
        <!--**********  Fuentes  **********-->
        <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700,900" rel="stylesheet">
        {% load static %}
        <link rel="stylesheet" href="{% static 'inicio/flexboxgrid.min.css' %}" type="text/css">
        <!--**********  Slich  **********-->
        <link rel="stylesheet" type="text/css" href="{% static 'inicio/slick/slick/slick.css'%}" />
        <link rel="stylesheet" type="text/css" href="{% static 'inicio/slick/slick/slick-theme.css'%}" />
        <!--**********  Fancybox  **********-->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.4.1/jquery.fancybox.min.css" />
        <!--**********  Style  **********-->
        <link rel="stylesheet" href="{% static 'inicio/css/style.css'%}">
        <title>Formulario</title>
    </head>

<body>
    <header>
        <div class="container header">
            {% load static %}
            <img class="img-logo" src="{% static 'inicio/img/logo.png' %}" alt="logo_mis_perris">

            <nav class="menu">
                <ul>
                    <li><a href="{% url 'index:home' %}">Inicio</a></li>
                    <li><a href="#">Quienes somos</a></li>
                    <li><a href="#">Servicios</a></li>
                    <li><a href="#">Contactanos</a></li>
                    <li><a href="{% url 'login' %}">Login</a></li>
                </ul>
            </nav>

    </header>


    <section class="banner-info">
        <div class="container info">
            <div class="redes-sociales">
                <a class="social facebook" href="#"><i class="fab fa-facebook-f"></i></a>
                <a class="social google" href="#"><i class="fab fa-google-plus-g"></i></a>
                <a class="social insta" href="#"><i class="fab fa-instagram"></i></a>
                <a class="social correo" href="#"><i class="far fa-envelope"></i></a>
            </div>
        </div>
    </section>

<!-- formulario-->

<section class="regis" id="formulario">
    <div class="container form">
        <p>Formulario</p>
        <form class="formulario" id="formulario" method="POST">
                {% csrf_token %}
            <div class="form-group">
                <label for="correo">Correo:</label>
                <input type="email" name="correo" id="correo" placeholder="Correo" autofocus required> 
            </div>
            <div class="form-group">
                <label for="run">RUN: </label>
                <input name="rut" type="text" class="form-control" id="rut" required oninput="checkRut(this)" maxlength="11" placeholder="Run"> 
            </div>
            <div class="form-group">
                <label for="nombre">Nombre:</label>
                <input type="text" name="nombre" id="nombre" placeholder="Nombre Completo" required>
            </div>
            <div class="form-group">
                <label for="fecha">Fecha Nacimiento: </label>
                <input type="date" name="fecha" id="fecha" max="2001-01-01" required>
            </div>
            <div class="form-group">
                <label for="tlfn">Telefono: </label>
                <input name="telefono" type="text" class="form-control input-number" id="telefono" required minlength="12" maxlength="12" value="+569">
            </div>
            <div class="form-group">
                <select required id="regiones" name="region"></select>
            </div>
            <div class="form-group">
                <select required id="comunas" name="comuna"></select>
            </div>
            <div class="form-group">
                <select required id="tipoHogar" name="tipoHogar">
                    <option value="" disabled selected >Seleccione tipo de hogar</option>
                    <option value="grande">Casa con Patio Grande</option>
                    <option value="pequeño">Casa con Patio Pequeño</option>
                    <option value="sin">Casa sin patio</option>
                    <option value="depa">Depatamento</option>
                </select> 
            </div>
            <button class="btn" id="btn-form" type="submit">Registrar</button>        
        </form>
    </div>
</section>

     
    <footer class="footer">
        <div class="container">
            <p>Desarrollo Web y Mobile</p>
        </div>
    </footer>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script type="text/javascript" src="{% static 'inicio/slick/slick/slick.min.js' %}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.4.1/jquery.fancybox.min.js"></script>
    <script src="{% static 'inicio/js/validarRUT.js'%}"></script>
    <script src="{% static 'inicio/js/jquery.validate.min.js'%}"></script>
    <script src="{% static 'inicio/js/js.js'%}"></script>
</body>

</html>